{{log "inventoryList-Sorted-block.hbs this" this}}

{{!-- inventory header --}}
<div class="general-header ars_clps{{#if (getViewState @root.actor.id (concat 'equipment-' tab))}} ars_clps_on{{/if}}"
    data-vs-control="equipment-{{tab}}">{{ localize "ARS.equipment" }}
    <a class="btn_toggle_search" data-tooltip="Open Search Panel">
        <i class="fas fa-search"></i>
    </a>
    <a class="btn_select_all" style="margin-left: 5px;" data-tooltip="Select all items">
        <i class="fas fa-line-height"></i>
    </a>
    <a class="btn_sort" style="margin-left: 5px;" data-tooltip="Sort by both type and alphabetical">
        <i class="fa-solid fa-sort"></i>
    </a>
    <a class="btn_expand_all" style="margin-left: 5px;" data-tooltip="Toggle all containers">
        <i class="fas fa-up-right-and-down-left-from-center"></i>
    </a>
    <a class="item-control item-create" data-tooltip="Create item" data-type="item">
        <i class="fas fa-plus"></i>
    </a>
</div>

{{!-- inventory wrapper --}}
<div class="category inventory ars_clps_container">

    {{!-- advanced search and filter --}}
    <div class="pnl_search_controls open">

        <select class="sel_inventory_filter adv_search_control" title="Filter Inventory">
            {{selectOptions config.gearSearchFilters selected=value localize=true}}
        </select>
        <input class="txt_inventory_search adv_search_control" type="text" placeholder="Search"
            title="Search Inventory" />

        {{!-- this is showing even w/o experimental on --}}

        {{!-- <div class="total-magic-exp player-hide" style="float: right">
            <b>Magic Exp:</b> {{actor.totalMagicExp}}
        </div> --}}
    </div>

    {{!-- inventory list --}}
    <div class="item-list inventory info-helper-enabled" data-info-type="item">
        <div class="general-subheader flexrow" style="align-items: center;">
            <div class="short-field"></div>
            <div class="item-name-details flexrow">
                <div>
                    <div class="item-name">{{localize "ARS.name"}}</div>
                </div>
                <div class="item-location">
                    <div data-tooltip="{{localize " ARS.inventoryItemCarryState" }}"><i class="fas fa-shopping-bag"></i>
                    </div>
                </div>
            </div>
            {{#if isGM}}
                <div class="item-boolean" data-tooltip="{{localize " ARS.magic"}}">
                    <i class="fa-solid fa-wand-magic-sparkles"></i>
                </div>
                <div class="item-boolean" data-tooltip="{{localize " ARS.identification"}}">
                    <i class="fas fa-eye"></i>
                </div>
            {{/if}}
            <div class="medium-field"><i class="fas fa-hashtag"></i></div>
            <div class="medium-field"><i class="fas fa-weight-hanging"></i></div>
            <div class="item-context-controls" data-tooltip="{{localize "ARS.modify"}}">
                <i class='fa fa-gears'></i>
            </div>
        </div>

        {{#each actor.inventoryItems as |item id|}}
            {{#if item.containedIn}}
            {{else}}
                {{> "systems/ars/templates/actor/parts/inventoryList-item.hbs" looting=../looting isGM=@root.isGM item=item
        config=@root.config}}
            {{/if}}
        {{/each}}
    </div>
    <div class="general-footer"></div>
    <div style="margin-top:1px" class="carried-weight actor-titles flexrow">
        <div style="text-align:left;" data-tooltip="Weight allowance/carry">
            {{localize "ARS.max"}} {{actor.maxWeight}}
            {{ localize (concat "ARS.abilityFields.str.encumbrance." actor.encumbrance) }}
        </div>
        <div style="text-align:right;" data-tooltip="Carried weight total">
            {{localize "ARS.total"}} {{actor.carriedweight}}
        </div>
    </div>
</div>